armarx_add_aron_library(gaze_target_aron
    ARON_FILES
        gaze_target/aron/FramedPosition.xml
        gaze_target/aron/GazeTarget.xml
)

armarx_add_ice_library(gaze_controller_interface
    SLICE_FILES
        gaze_target/ice/GazeTarget.ice
        GazeControllerInterface.ice
    DEPENDENCIES
        ArmarXCoreInterfaces
        ArmarXGuiInterfaces
        RobotAPIInterfaces
)

#needs to be declared first, else it is not found
armarx_add_library(gaze_target
    SOURCES
        gaze_target/GazeTarget.cpp
        gaze_target/aron_conversions.cpp
        gaze_target/ice_conversions.cpp
    HEADERS
        gaze_target.h
        gaze_target/GazeTarget.h
        gaze_target/aron_conversions.h
        gaze_target/ice_conversions.h
    DEPENDENCIES
        ArmarXCoreInterfaces
        ArmarXCore
        RobotAPICore
        ArViz
        aroncommon
        armarx_control::gaze_target_aron
        armarx_control::gaze_controller_interface
)

armarx_add_library(gaze_controller
    SOURCES
        GazeController.cpp
    HEADERS
        GazeController.h
    DEPENDENCIES_PUBLIC
        ArmarXCore
        #RobotAPIInterfaces
        RobotUnit
        Simox::VirtualRobot
        SimoxUtility
        armarx_control::gaze_controller_interface
        armarx_control::gaze_target
)
